Page MenuHomePhabricator

Newcomer tasks: add article counter to footer of start editing dialog
Closed, ResolvedPublic

Description

From the parent task:

As the user selects and unselects topics, the counter at the bottom of the dialog should update with the count of articles that match those topics that also meet the default task type settings for the suggested edits module (which is Easy tasks).

Relevant mockup: https://wikimedia.invisionapp.com/public/share/S3UV941DUWM#/screens/393981009

  • The counter should start at whatever number it would show at the bottom of the filter dialogues if the user were to select no topics, initiate the module, and then open one of the filters immediately. In other words, it should show the number of "Easy edit" articles available (unless we change the default logic from starting with easy edits), which for now, is 200.
  • It should not show on the difficulty overlay (the second overlay).

Event Timeline

MMiller_WMF renamed this task from Add article counter to footer of start editing dialog to Newcomer tasks: add article counter to footer of start editing dialog.Jan 10 2020, 7:29 PM

@MMiller_WMF some questions

  1. Should the counter show up before the user has selected any topics?
    1. If so should it start at 0 or at our maximum (200)?
  2. Should the counter show up on the second panel of the start editing dialog as well?

Change 564693 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Start Editing: Add article counter

https://gerrit.wikimedia.org/r/564693

@kostajh -- thanks for these questions. My answers are below and also added to the task description:

  • The counter should start at whatever number it would show at the bottom of the filter dialogues if the user were to select no topics, initiate the module, and then open one of the filters immediately. In other words, it should show the number of "Easy edit" articles available (unless we change the default logic from starting with easy edits), which for now, is 200.
  • It should not show on the difficulty overlay (the second overlay).
MMiller_WMF updated the task description. (Show Details)Jan 14 2020, 10:43 PM
Tgr added a comment.Jan 14 2020, 11:00 PM

TBH the counter feels pretty useless to me in its current form, given that it is almost always showing 200, and I would expect it to confuse more than clarify.
I wonder if a better approach would be to show the actual number of matching articles, and in the card widget display something like "more than 200" to explain why we don't let the user navigate beyond 200 (not that many would try...).

@Tgr -- I remember that we chose to limit the number at 200 so that a newcomer isn't overwhelmed by a number that could be something like 40,000 in Arabic Wikipedia. But is it possible to actually know the full number? I thought that the limit also helped us speed up the process so we wouldn't have to make the API calls to get the full number.

Tgr added a comment.Jan 14 2020, 11:32 PM

Yeah, the CirrusSearch API we use internally returns the total number of available results, no matter how many results we ask for.

If we decide to change the number, let's file as a new task as that impacts the other dialogs too, not just the start editing one. This task as defined in the description is ready for code review :)

Change 564693 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Start Editing: Add article counter

https://gerrit.wikimedia.org/r/564693

The implementation of the specs in the task description have been checked and seem to be fine, except there are two bugs in the footer counter

@MMiller_WMF - I am moving the task for your review. I would close the task as Resolved since the specs for the footer counter were, in fact, all implemented and they are not going to be changed in the scope of this task.

MMiller_WMF closed this task as Resolved.Jan 24 2020, 12:01 AM

Thank you!